Bug 58085 - New Port: S.M.A.R.T. disk monitoring tools
New Port: S.M.A.R.T. disk monitoring tools
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: sergei
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-15 18:20 UTC by martines
Modified: 2003-10-24 08:49 UTC (History)
0 users

See Also:


Attachments
file.shar (3.64 KB, text/plain)
2003-10-15 18:20 UTC, martines
no flags Details
smartmontools.shar (4.83 KB, application/x-shar)
2003-10-18 15:07 UTC, martines
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description martines 2003-10-15 18:20:19 UTC
The smartmontools package contains two utility programs (smartctl and smartd) 
to control and monitor storage systems using the Self-Monitoring, Analysis 
and Reporting Technology System (S.M.A.R.T.) built into most modern ATA and 
SCSI hard disks.  It is derived from the smartsuite package, and includes 
support for ATA/ATAPI-5 disks.
Comment 1 sem 2003-10-18 08:45:11 UTC
I guess you should implement NOPORTDOCS behaviour and use DOCSDIR and 
EXAMPLEDIR variable. The best place for examples is 
LOCALBASE/share/examples instead of LOCALBASE/share/doc/PORTNAME/examples.

Yes, you should redefine do-install for that.

-- 
Sem.
Comment 2 martines 2003-10-18 15:07:35 UTC
Ok, done.  Attached is update shar file with corrected pkg-plist and
Makefile.

Ed

On Sat, 2003-10-18 at 03:45, Sergey Matveychuk wrote:
> I guess you should implement NOPORTDOCS behaviour and use DOCSDIR and 
> EXAMPLEDIR variable. The best place for examples is 
> LOCALBASE/share/examples instead of LOCALBASE/share/doc/PORTNAME/examples.
> 
> Yes, you should redefine do-install for that.
-- 
Eduard Martinescu <martines@rochester.rr.com>
Comment 3 sergei freebsd_committer 2003-10-22 11:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

I will work with the submitter.
Comment 4 sergei freebsd_committer 2003-10-24 08:49:10 UTC
State Changed
From-To: open->closed

New port added, thanks!